# SETERRQ1

Macro that is called when an error has been detected, Not Collective

### Synopsis

    void SETERRQ1(PetscErrorCode errorcode,char *formatmessage,arg)

### Input Parameters

| errorcode | - nonzero error code, see the list of standard error codes in include/petscerror.h
| message | - error message in the printf format
| arg | - argument (for example an integer, string or double)

### Notes

Once the error handler is called the calling function is then returned from with the given error code.

Experienced users can set the error handler with PetscPushErrorHandler().

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ(), SETERRQ2(), SETERRQ3()

Level:beginner
Location: src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex29.c.html